<template>
  <path
    d="m17.861 302.71c-0.2117-0.54371-0.41738-1.0897-0.617-1.638-0.80771-2.2253-1.5527-4.4728-2.234-6.74-1.758-5.812-3.868-14.099-5.276-23.977-2.817-19.777-2.796-45.806 8.397-71.118 1.809-4.092 4.07-8.295 6.52-12.851 9.468-17.602 21.765-40.463 21.765-82.449 0-30.59 14.848-56.354 36.707-74.515 21.88-18.178 50.698-28.658 78.375-28.658 15.131 0 27.296 1.733 37.074 7.64 9.717 5.87 17.368 16.047 23.051 33.581 0.578 1.785 2.489 2.875 4.357 2.27 11.315-3.672 28.472 0.034 42.954 9.488 14.418 9.413 25.616 24.156 25.616 41.924 0 15.426-2.642 25.85-5.218 36.001-3.119 12.289-6.131 24.159-4.006 43.498 0.709 6.449 2.151 11.023 4.166 14.815 1.982 3.731 4.481 6.619 7.114 9.664l0.06 0.069c6.274 7.252 9.129 13.218 10.05 18.466 0.92 5.235-0.043 9.983-1.832 14.91-0.9 2.475-1.994 4.96-3.153 7.578l-0.1 0.226c-1.122 2.532-2.296 5.184-3.351 7.975-2.183 5.771-3.886 12.207-3.717 19.835 0.144 6.475 1.292 10.913 3.009 14.271 1.697 3.32 3.888 5.443 5.799 7.294l0.052 0.05c1.743 1.689 3.193 3.111 4.266 5.104 0.959 1.781 1.67 4.132 1.789 7.662-24.009 14.279-47.772 20.181-65.616 22.502-9.036 1.176-16.544 1.432-21.783 1.395-2.619-0.019-4.669-0.11-6.058-0.197-0.489-0.03-0.895-0.06-1.216-0.085-6.151-9.389-11.755-24.878-16.097-40.788-4.221-15.47-7.186-31.091-8.3-41.41 37.073-10.718 60.311-48.982 54.724-88.46-7e-3 -0.072-0.015-0.122-0.015-0.123-0.0375-0.25629-0.0809-0.51169-0.13-0.766-0.11958-0.65223-0.24392-1.3036-0.373-1.954-0.44979-2.2755-0.92014-4.547-1.411-6.814-1.5446-7.1633-3.2507-14.291-5.117-21.377-2.14-8.09-4.673-16.67-7.453-24.21-2.759-7.485-5.831-14.143-9.108-18.24l-0.297-0.37-0.435-0.189c-1.932-0.838-3.939-1.772-6.033-2.747-9.931-4.624-21.84-10.17-37.264-10.78-18.775-0.742-42.551 5.777-74.69 29.087l-2.024 1.467 1.946 1.567c15.926 12.834 19.369 29.858 18.633 44.308-0.561 11.029-3.549 20.411-5.235 25.101-1.161-1.697-1.901-3.83-2.457-6.335-0.385-1.731-0.665-3.556-0.959-5.467l-0.046-0.302c-0.307-1.994-0.634-4.075-1.111-6.084-0.951-4.011-2.56-8.02-6.132-10.859-3.58-2.845-16.257-8.799-23.854-8.375l-2.227 0.124 0.465 2.182 11.358 53.313 0.02 0.089c12.013 39.343 29.034 33.524 23.975 47.898-8.2146 8.9844-5.1317 31.796-12.321 37.452-4.164 2.424-12.907 4.6482-15.177 9.8042-4.148 9.421-15.68 26.85-16.601 34.432-24.87-5.704-20.517-3.514-33.583-7.914-6.714-2.261-11.807-4.154-15.216-5.48-1.4733-0.57176-2.9394-1.1618-4.398-1.77z"
    :fill="props.color"
    stroke="#000"
    stroke-width="3.822"
  />
</template>

<script lang="ts" setup>
const props = defineProps<{
  color: string
}>()
</script>
